clang 8.0.0

Static Public Member Functions | List of all members
llvm::DenseMapInfo< clang::Selector > Struct Template Reference

Define DenseMapInfo so that Selectors can be used as keys in DenseMap and DenseSets. More...

`#include "clang/Basic/IdentifierTable.h"`

## Static Public Member Functions
static clang::Selector | getEmptyKey ()
static clang::Selector | getTombstoneKey ()
static unsigned | getHashValue (clang::Selector S)
static bool | isEqual (clang::Selector LHS, clang::Selector RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< clang::Selector >

Define DenseMapInfo so that Selectors can be used as keys in DenseMap and DenseSets.

Definition at line 926 of file IdentifierTable.h.

## Member Function Documentation

## ◆ getEmptyKey()

static clang::Selector llvm::DenseMapInfo< clang::Selector >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 927 of file IdentifierTable.h.

References clang::Selector::getEmptyMarker().

## ◆ getHashValue()

unsigned llvm::DenseMapInfo< clang::Selector >::getHashValue | ( | clang::Selector | S | ) |
| static

Definition at line 353 of file IdentifierTable.cpp.

## ◆ getTombstoneKey()

static clang::Selector llvm::DenseMapInfo< clang::Selector >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 931 of file IdentifierTable.h.

References clang::Selector::getTombstoneMarker().

## ◆ isEqual()

static bool llvm::DenseMapInfo< clang::Selector >::isEqual | ( | clang::Selector | LHS,
|  | clang::Selector | RHS
| ) |  |
| inline static

Definition at line 937 of file IdentifierTable.h.

The documentation for this struct was generated from the following files:

- include/clang/Basic/IdentifierTable.h
- lib/Basic/IdentifierTable.cpp